Name: libappindicator
Version: 12.10.0
Release: 27
Summary: The library of application indicators
License: LGPL-3.0 and LGPL-2.1+ and GPL-3.0+
URL: https://launchpad.net/libappindicator
Source0: https://launchpad.net/libappindicator/12.10/12.10.0/+download/libappindicator-12.10.0.tar.gz
Patch0001: 0001_Fix_mono_dir.patch
Patch0002: incompatible_pointer_build_fix.patch
Patch0003: libappindicator-add-patch-to-modify-build-err.patch
Patch0004: nopython.patch
BuildRequires: autoconf automake gtk-doc vala-tools dbus-glib-devel libdbusmenu-devel
BuildRequires: libdbusmenu-gtk2-devel libdbusmenu-gtk3-devel gobject-introspection-devel
BuildRequires: gtk2-devel gtk3-devel libindicator-devel libindicator-gtk3-devel

%description
The libappindicator allows applications to export a menu into the Unity Menu bar.
It bases on KSNI and works in KDE and will fallback to generic Systray support if
none of those are available.

%package devel
Summary: Development package for libappindicator
Requires: %{name} = %{version}-%{release}
Requires: dbus-glib-devel libdbusmenu-devel
%description devel
This package contains the development files for the appindicator library.

%package gtk3
Summary: Package of application indicators library - GTK 3
%description gtk3
This package contains the GTK 3 version of libappindicator.

%package gtk3-devel
Summary: Development package for libappindicator-gtk3
Requires: %{name}-gtk3 = %{version}-%{release} 
Requires: dbus-glib-devel libdbusmenu-devel
%description gtk3-devel
This package contains the development files for the appindicator-gtk3 library.

%package docs
Summary: Documentation package for libappindicator and libappindicator-gtk3
BuildArch: noarch
%description docs
This package contains the documentation for the appindicator and
appindicator-gtk3 libraries.

%prep
%autosetup -p1
sed -i "s#gmcs#mcs#g" configure.ac
sed -i 's/--nogtkinit//' docs/reference/Makefile.am
gtkdocize --copy
cp -f gtk-doc.make gtk-doc.local.make
autoreconf -vif

%build
%global _configure ../configure
mkdir build-gtk2 build-gtk3
pushd build-gtk2
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure --with-gtk=2 --enable-gtk-doc --disable-static
make -j1 V=1
popd
pushd build-gtk3
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure --with-gtk=3 --enable-gtk-doc --disable-static
make -j1 V=1
popd

%install
pushd build-gtk2
make install DESTDIR=%{buildroot}
popd
pushd build-gtk3
make install DESTDIR=%{buildroot}
popd
find %{buildroot} -type f -name '*.la' -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post gtk3
/sbin/ldconfig

%postun gtk3
/sbin/ldconfig

%files
%doc AUTHORS README COPYING COPYING.LGPL.2.1
%{_libdir}/libappindicator.so.*
%{_libdir}/girepository-1.0/AppIndicator-0.1.typelib
%files devel
%dir %{_includedir}/libappindicator-0.1/
%dir %{_includedir}/libappindicator-0.1/libappindicator/
%{_includedir}/libappindicator-0.1/libappindicator/*.h
%{_libdir}/libappindicator.so
%{_libdir}/pkgconfig/appindicator-0.1.pc
%{_datadir}/gir-1.0/AppIndicator-0.1.gir
%{_datadir}/vala/vapi/appindicator-0.1.vapi
%{_datadir}/vala/vapi/appindicator-0.1.deps
%files gtk3
%doc AUTHORS README COPYING COPYING.LGPL.2.1
%{_libdir}/libappindicator3.so.*
%{_libdir}/girepository-1.0/AppIndicator3-0.1.typelib
%files gtk3-devel
%dir %{_includedir}/libappindicator3-0.1/
%dir %{_includedir}/libappindicator3-0.1/libappindicator/
%{_includedir}/libappindicator3-0.1/libappindicator/*.h
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/appindicator3-0.1.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.vapi
%{_datadir}/vala/vapi/appindicator3-0.1.deps
%files docs
%doc %{_datadir}/gtk-doc/html/libappindicator/

%changelog
* Wed Jan 20 2021 Ge Wang <wangge20@huawei.com> - 12.10.0-27
- Modify license information.

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 12.10.0-26
- Remove Subpackage python2-appindicator

* Fri Feb 07 2020 yanzhihua <yanzhihua4@huawei.com> - 12.10.0-25
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:ldconfig_scriptlets does not exist so modify the use of ldconfig, and rename the patch

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 12.10.0-24
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 12.10.0-23
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 12.10.0-22
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 12.10.0-21
- Package init
